# CUpti_ActivityMarker Struct Reference

The activity record providing a marker which is an instantaneous point in time. (deprecated in CUDA 8.0). More...

## Data Fields

CUpti_ActivityFlag | flags
uint32_t | id
CUpti_ActivityKind | kind
const char * | name
CUpti_ActivityObjectKindId | objectId
CUpti_ActivityObjectKind | objectKind
uint64_t | timestamp

## Detailed Description

The marker is specified with a descriptive name and unique id (CUPTI_ACTIVITY_KIND_MARKER). Marker activity is now reported using the CUpti_ActivityMarker2 activity record.

## Field Documentation

CUpti_ActivityFlag CUpti_ActivityMarker::flags

The flags associated with the marker.

See also:
  CUpti_ActivityFlag

uint32_t CUpti_ActivityMarker::id

The marker ID.

CUpti_ActivityKind CUpti_ActivityMarker::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_MARKER.

const char* CUpti_ActivityMarker::name

The marker name for an instantaneous or start marker. This will be NULL for an end marker.

CUpti_ActivityObjectKindId CUpti_ActivityMarker::objectId

The identifier for the activity object associated with this marker. 'objectKind' indicates which ID is valid for this record.

CUpti_ActivityObjectKind CUpti_ActivityMarker::objectKind

The kind of activity object associated with this marker.

uint64_t CUpti_ActivityMarker::timestamp

The timestamp for the marker, in ns. A value of 0 indicates that timestamp information could not be collected for the marker.